astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Configuration system (`astropy.config`) »
- save_config

# save_config

`astropy.config.configuration.``save_config`(packageormod=None, filename=None)

  Saves all configuration settings to the configuration file for the root package of the requested package/module.

  This overwrites any configuration items that have been changed in `ConfigurationItem` objects that are based on the configuration file determined by the root package of `packageormod` (e.g. ‘astropy.cfg’ for the ‘astropy.config.configuration’ module).

  Note

  To save only a single item, use the `ConfigurationItem.save` method - this will save all options in the current session that may have been changed.

  Parameters:

  packageormod : str or None

  > The package or module name - see `get_config` for details.

  filename : str, optional

  > Save the config to a given filename instead of to the default location.